﻿<div class="page-content">
    <div class="logo-cont"> <img src="img/logo.png" /> </div>
    <div class="list-block">
        <form name="$parent.ChangePasswordForm" ng-submit="submitForm($parent.ChangePasswordForm.$valid)" novalidate>         
            <ul>
                <li>
                    <div class="item-content" ng-class="submittedChangePass && changePasswordReset  && $parent.ChangePasswordForm.oldPassword.$invalid?'has-error':'no-error'">
                        <div class="item-inner">
                            <div class="item-input">
                                <input type="password" placeholder="كلمة المرور القديمة" name="oldPassword" ng-model="changePassForm.oldPassword" required ng-minlength="6" ng-maxlength="30">
                            </div>
                        </div>
                    </div>
                    <p ng-if="submittedChangePass && changePasswordReset && $parent.ChangePasswordForm.oldPassword.$error.required" class="error-block">يجب إدخال كلمة السر القديمة</p>
                    <p ng-if="submittedChangePass && changePasswordReset && $parent.ChangePasswordForm.oldPassword.$error.minlength" class="error-block">كلمة السر القديمة يجب ألا تقل عن ستة أحرف</p>
                    <p ng-if="submittedChangePass && changePasswordReset && $parent.ChangePasswordForm.oldPassword.$error.maxlength" class="error-block">كلمة السر القديمة يجب ألا تزيد عن ثلاثين حرفا</p>
                </li>
                <li>
                    <div class="item-content" ng-class="submittedChangePass && changePasswordReset  && $parent.ChangePasswordForm.newPassword.$invalid?'has-error':'no-error'">
                        <div class="item-inner">
                            <div class="item-input">
                                <input type="password" placeholder="كلمة المرور الجديدة" name="newPassword" ng-model="changePassForm.newPassword" required ng-minlength="6" ng-maxlength="30">
                            </div>
                        </div>
                    </div>
                    <p ng-if="submittedChangePass && changePasswordReset  && $parent.ChangePasswordForm.newPassword.$error.required" class="error-block">يجب إدخال كلمة السر الجديدة</p>
                    <p ng-if="submittedChangePass && changePasswordReset && $parent.ChangePasswordForm.newPassword.$error.minlength" class="error-block">كلمة السر الجديدة يجب ألا تقل عن ستة أحرف</p>
                    <p ng-if="submittedChangePass && changePasswordReset && $parent.ChangePasswordForm.newPassword.$error.maxlength" class="error-block">كلمة السر الجديدة يجب ألا تزيد عن ثلاثين حرفا</p>
                </li>
                <li>
                    <div class="item-content" ng-class="submittedChangePass && changePasswordReset && $parent.ChangePasswordForm.confrmNewPassword.$invalid?'has-error':'no-error'">
                        <div class="item-inner">
                            <div class="item-input">
                                <input type="password" placeholder="تأكيد كلمة المرور الجديدة" name="confrmNewPassword" ng-model="changePassForm.confrmNewPassword" ng-pattern="changePassForm.newPassword" required ng-minlength="6" ng-maxlength="30">
                            </div>
                        </div>
                    </div>
                    <p ng-if="submittedChangePass && changePasswordReset && $parent.ChangePasswordForm.confrmNewPassword.$error.required" class="error-block">يجب تأكيد كلمة السر</p>
                    <p ng-if="submittedChangePass && changePasswordReset && $parent.ChangePasswordForm.confrmNewPassword.$error.minlength" class="error-block">كلمة السر يجب ألا تقل عن ستة أحرف</p>
                    <p ng-if="submittedChangePass && changePasswordReset && $parent.ChangePasswordForm.confrmNewPassword.$error.maxlength" class="error-block">كلمة السر يجب ألا تزيد عن ثلاثين حرفا</p>
                    <p ng-if="submittedChangePass && changePasswordReset && $parent.ChangePasswordForm.confrmNewPassword.$error.pattern" class="error-block">كلمتا السر غير متطابقتين</p>
                </li>
            </ul>
            <p>
                <button type="submit" ng-click="submittedChangePass=true" class="button button-round purple">تغيير كلمة المرور</button>
            </p>
            <p>
                <button ng-click="GoBack()" class="button button-round purple">عودة</button>
            </p>
        </form>
    </div>
</div>